SecurityTracker.com
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 


Category:   Application (Web Server/CGI)  >   Apache HTTPD Vendors:   Apache Software Foundation
Apache Memory Leak in MPM 'worker.c' Code May Let Remote Users Deny Service
SecurityTracker Alert ID:  1015093
SecurityTracker URL:  http://securitytracker.com/id/1015093
CVE Reference:   CVE-2005-2970   (Links to External Site)
Date:  Oct 24 2005
Impact:   Denial of service via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 2.x
Description:   A vulnerability was reported in the Apache httpd server. A remote user may be able to deny service.

In certain situations after an aborted connection, a remote user can trigger a memory leak in some Multi-Processing Module code.

The flaw resides in 'server/mpm/worker/worker.c'.

Impact:   A remote user may be able to cause denial of service conditions.
Solution:   A fix is available via SVN at:

http://svn.apache.org/viewcvs.cgi/httpd/httpd/branches/2.2.x/server/mpm/worker/worker.c

Also, IBM has issued a fix for the IBM HTTP Server (which is based on the Apache server), available at:

http://www-1.ibm.com/support/docview.wss?rs=0&uid=swg24010709

Vendor URL:  httpd.apache.org/ (Links to External Site)
Cause:   Boundary error
Underlying OS:  Linux (Any), UNIX (Any)

Message History:   This archive entry has one or more follow-up message(s) listed below.
Jan 5 2006 (Red Hat Issues Fix) Apache Memory Leak in MPM 'worker.c' Code May Let Remote Users Deny Service
Red Hat has released a fix for Red Hat Enterprise Linux 3 and 4.



 Source Message Contents



[Original Message Not Available for Viewing]


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

This web site uses cookies for web analytics. Learn More

Copyright 2019, SecurityGlobal.net LLC